> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# List offer profiles

GET https://restapi.ordergroove.com/offer_profiles/

Returns offer profiles — the configurations that pair a set of `offers` with the `initial_coupon` and `recurring_coupon` carrying their discounts.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/offer-profiles/offer-profile-list

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).

## Request

### Query parameters

- `offer_profile_category` (enum, optional) — Controls inclusion/filtering of offer profiles with SFI.
  - Allowed values: `all`, `all_with_standard_flex_incentives`, `only_with_standard_flex_incentives`
- `status` (enum, optional, default: available)
  - Allowed values: `available`, `archived`, `all`

## Response

### 200

200

- `public_id` (string, optional)
- `name` (string, optional)
- `live` (boolean, optional, default: true)
- `status` (enum, optional, default: available)
  - Allowed values: `available`, `archived`
- `weight` (integer, optional, default: 0)
- `offers` (list of string, optional)
- `recurring_coupon` (OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCoupon, optional)
- `initial_coupon` (OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCoupon, optional)

## Errors

### 403 Forbidden Error

403

- `detail` (string, optional)

## Types

### OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCoupon

- `public_id` (string, optional)
- `name` (string, optional)
- `code` (string, optional)
- `discounts` (list of OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems, optional)

### OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCoupon

- `public_id` (string, optional)
- `name` (string, optional)
- `code` (string, optional)
- `discounts` (list of OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems, optional)

### OfferProfilesGetResponsesContentApplicationJsonSchemaRecurringCouponDiscountsItems

- `public_id` (string, optional)
- `name` (string, optional)
- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (integer, optional, default: 0)
- `threshold_value` (string, optional)

### OfferProfilesGetResponsesContentApplicationJsonSchemaInitialCouponDiscountsItems

- `public_id` (string, optional)
- `name` (string, optional)
- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (integer, optional, default: 0)
- `threshold_value` (string, optional)

## Examples

**Response**

```json
{
  "public_id": "e3e9ac44a24f15e485b0bc764e107cf3",
  "name": "offer profile name",
  "live": true,
  "status": "available",
  "weight": 100,
  "offers": [
    "a748aa648ac811e8af3bbc764e106cf4"
  ],
  "recurring_coupon": {
    "public_id": "ff48e9fdc8eb4d79abd7c8c573523d25",
    "name": "Demo Store Incentives",
    "code": "demo_store",
    "discounts": [
      {
        "public_id": "c67dec11aedb4885aa9a58c3f89de746",
        "name": "Free shipping on orders over $50",
        "object": 1,
        "field": 2,
        "type": "Free discount_percent",
        "value": "100",
        "threshold_field": 3,
        "threshold_value": "50"
      }
    ]
  },
  "initial_coupon": {
    "public_id": "ff48e9fdc8eb4d79abd7c8c573523d25",
    "name": "Demo Store Incentives",
    "code": "demo_store",
    "discounts": [
      {
        "public_id": "c67dec11aedb4885aa9a58c3f89de746",
        "name": "Free shipping on orders over $50",
        "object": 1,
        "field": 2,
        "type": "Free discount_percent",
        "value": "100",
        "threshold_field": 3,
        "threshold_value": "50"
      }
    ]
  }
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/offer_profiles/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/offer_profiles/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/offer_profiles/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/offer_profiles/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```